| v_hdmitxss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XV_HdmiTxSs_Config Struct Reference

Video Processing Subsystem configuration structure. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the device. More...
UINTPTR | BaseAddress
| BaseAddress is the physical base address of the subsystem address range. More...
UINTPTR | HighAddress
| HighAddress is the physical MAX address of the subsystem address range. More...
XVidC_PixelsPerClock | Ppc
| Supported Pixel per Clock. More...
u8 | MaxBitsPerPixel
| Maximum Supported Color Depth. More...
u32 | AxiLiteClkFreq
| AXI Lite Clock Frequency in Hz. More...
XV_HdmiTxSs_SubCore | HdcpTimer
| Sub-core instance configuration. More...
XV_HdmiTxSs_SubCore | Hdcp14
| Sub-core instance configuration. More...
XV_HdmiTxSs_SubCore | Hdcp22
| Sub-core instance configuration. More...
XV_HdmiTxSs_SubCore | HdmiTx
| Sub-core instance configuration. More...
XV_HdmiTxSs_SubCore | Vtc
| Sub-core instance configuration. More...

## Detailed Description

Video Processing Subsystem configuration structure.

Each subsystem device should have a configuration structure associated that defines the MAX supported sub-cores within subsystem

## Field Documentation

u32 XV_HdmiTxSs_Config::AxiLiteClkFreq

AXI Lite Clock Frequency in Hz.

Referenced by XV_HdmiTxSs_CfgInitialize().

UINTPTR XV_HdmiTxSs_Config::BaseAddress

BaseAddress is the physical base address of the subsystem address range.

Referenced by XV_HdmiTxSs_CfgInitialize(), XV_HdmiTxSS_SetHpdTolerance(), XV_HdmiTxSs_SubcoreInitHdmiTx(), and XV_HdmiTxSs_SubcoreInitVtc().

u16 XV_HdmiTxSs_Config::DeviceId

DeviceId is the unique ID of the device.

Referenced by XV_HdmiTxSs_CfgInitialize().

XV_HdmiTxSs_SubCore XV_HdmiTxSs_Config::Hdcp14

Sub-core instance configuration.

XV_HdmiTxSs_SubCore XV_HdmiTxSs_Config::Hdcp22

Sub-core instance configuration.

XV_HdmiTxSs_SubCore XV_HdmiTxSs_Config::HdcpTimer

Sub-core instance configuration.

XV_HdmiTxSs_SubCore XV_HdmiTxSs_Config::HdmiTx

Sub-core instance configuration.

Referenced by XV_HdmiTxSs_SubcoreInitHdmiTx().

UINTPTR XV_HdmiTxSs_Config::HighAddress

HighAddress is the physical MAX address of the subsystem address range.

u8 XV_HdmiTxSs_Config::MaxBitsPerPixel

Maximum Supported Color Depth.

XVidC_PixelsPerClock XV_HdmiTxSs_Config::Ppc

Supported Pixel per Clock.

Referenced by XV_HdmiTxSs_SetDefaultPpc(), XV_HdmiTxSs_SetPpc(), and XV_HdmiTxSs_SetStream().

XV_HdmiTxSs_SubCore XV_HdmiTxSs_Config::Vtc

Sub-core instance configuration.

Referenced by XV_HdmiTxSs_SubcoreInitVtc().